from .aemd.api import AEMD_API
from .esia.api import ESIA_API
from .tdn.api import TDN_API
from .tmk.api import TMK_API
from .vitacore.api import VITACORE_API


class ClientsObject:
    _esia_api = None
    _vitacore_api = None
    _tdn_api = None
    _tmk_api = None
    _aemd_api = None

    @property
    def esia_api(self):
        if not self._esia_api:
            self._esia_api = ESIA_API()

        return self._esia_api

    @property
    def vitacore_api(self):
        if not self._vitacore_api:
            self._vitacore_api = VITACORE_API()

        return self._vitacore_api

    @property
    def tdn_api(self):
        if not self._tdn_api:
            self._tdn_api = TDN_API()

        return self._tdn_api

    @property
    def tmk_api(self):
        if not self._tmk_api:
            self._tmk_api = TMK_API()

        return self._tmk_api

    @property
    def aemd_api(self):
        if not self._aemd_api:
            self._aemd_api = AEMD_API()

        return self._aemd_api


clients = ClientsObject()
